Last Comment Bug 724414 - ABORT: comparing iterators over different lists: 'mListLink == aOther.mListLink' | ASSERTION: aForFrame not found in block, someone lied to us: 'isValid'
: ABORT: comparing iterators over different lists: 'mListLink == aOther.mListLi...
Status: RESOLVED FIXED
[fixed by bug 638937]
: assertion, crash
Product: Core
Classification: Components
Component: Layout: Block and Inline (show other bugs)
: Trunk
: x86 All
: -- critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
http://www.suffolkcamra.co.uk/pubs/pl...
Depends on: 638937
Blocks: 532972
  Show dependency treegraph
 
Reported: 2012-02-05 12:46 PST by Bob Clary [:bc:]
Modified: 2012-03-04 12:04 PST (History)
3 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
log (47.92 KB, text/plain)
2012-02-05 12:46 PST, Bob Clary [:bc:]
no flags Details

Description Bob Clary [:bc:] 2012-02-05 12:46:10 PST
Created attachment 594583 [details]
log

1. http://www.suffolkcamra.co.uk/pubs/place/39#tab1
2. Click in the box where it says "here are rabbit-warrens..."
3. ASSERT|ABORT Beta/11, Aurora/12, Nightly/13 Linux and Mac at least.

###!!! ASSERTION: aForFrame not found in block, someone lied to us: 'isValid', file /work/mozilla/builds/nightly/mozilla/layout/generic/nsTextFrameThebes.cpp, line 1213

###!!! ABORT: comparing iterators over different lists: 'mListLink == aOther.mListLink', file /work/mozilla/builds/nightly/mozilla/layout/base/../generic/nsLineBox.h, line 724

Crashes Mac Aurora nightly at least but I can't get a crash reporter dialog to come up there though Beta does.

bp-f298ea48-f4b2-4104-b9a9-cb0c82120205
Comment 1 Jesse Ruderman 2012-02-09 19:22:23 PST
Bug 638937 has similar symptoms and smaller testcases.
Comment 2 Mats Palmgren (:mats) 2012-02-17 16:04:54 PST
The patch in bug 638937 appears to fix this crash also.

Note You need to log in before you can comment on or make changes to this bug.